// const ajax = (url, params) => {
//   return new Promise((resolve, reject) => {
//     var xhttp = new XMLHttpRequest();
//     xhttp.onreadystatechange = function() {

//       if (this.readyState == 4 && this.status == 200) {
//         resolve(this.responseText);
//       } else {
//         reject(this.status);
//       }
//     };

//     const queryString = Object.keys(params)
//     .map(key => `${encodeURIComponent(key)}=${encodeURIComponent(params[key])}`)
//     .join('&');

//     xhttp.open("GET", `${url}?${queryString}`, true);
//     xhttp.send();
//   })
// }

// 使用fetch发送GET请求
const fetchGet = (url, params) => {
  const queryString = Object.keys(params)
  .map(key => `${encodeURIComponent(key)}=${encodeURIComponent(params[key])}`)
  .join('&');

  return fetch(`${url}?${queryString}`)
    .then(response => {
      // 检查响应状态s
      if (!response.ok) {
        throw new Error('Network response was not ok ' + response.statusText);
      }
      // 解析JSON响应体
      return response.text();
    })
    .catch(error => {
      // 处理请求中发生的错误
      console.error('There has been a problem with your fetch operation:', error);
    });
}

// 为checkbox添加change事件监听器
var ledSwitch = document.getElementById('ledSwitch');
ledSwitch.addEventListener('change', async function(e) {
  let value = await fetchGet('/setLED', { LEDstate: e.target.checked ? 0 : 1 })
  console.log('value', value)
  e.target.checked = (value !== 'ON')
});

// 为获取时间添加事件
let getTimeBtn = document.getElementById('getTimeBtn')
getTimeBtn.addEventListener('click', async function(e) {
  let time = await fetchGet('/getTimeValue', {})
  // @ts-ignore
  if (!time) return
  document.getElementById('time').innerHTML = time
})